#
# config.py
#
# Configuración de los elementos de una forja
#
# Alejandro Álvarez Ayllón - 01/04/2006
#

from Products.CMFCore.CMFCorePermissions import AddPortalContent
from Products.Archetypes.public import DisplayList
from os import path
from Globals import package_home

# Nombre del proyecto
PROJECTNAME = 'ForjaContent'
# Directorio con las plantillas
SKINS_DIR = 'skins'

# Globales
GLOBALS = globals()

# Dominio de las traducciones
I18N_DOMAIN = 'ForjaContent'

# Directorio con los archivos dtml
dtmlDir = path.join( package_home( globals() ) , 'dtml')

# Centros
CENTRES = ['Escuela Politécnica Superior de Algeciras',
           'Escuela Superior de Ingeniería de Cádiz',
           'Escuela Universitaria Ingeniería Técnica Naval',
           'Escuela Universitaria de Enfermería de Algeciras',
           'Escuela Universitaria de Enfermería y Fisioterapia',
           'Facultad de Ciencias',
           'Facultad de Ciencias de la Educación',
           'Facultad de Ciencias del Mar y Ambientales',
           'Facultad de Ciencias del Trabajo',
           'Facultad de Ciencias Económicas y Empresariales',
           'Facultad de Ciencias Naúticas',
           'Facultad de Ciencias Sociales y de la Comunicación',
           'Facultad de Derecho',
           'Facultad de Filosofía y Letras',
           'Facultad de Medicina',
           ]

# Listados clasificatorios
DEVELOPMENT_STATUS_LIST   = ['Planning', 'Pre-alpha', 'Alpha', 'Beta', 'Production/Stable',
                             'Mature', 'Inactive']

LICENSE_LIST              = ['Apache license v2.0', 'Apache software license',
                             'Artistic license', 'BSD License', 'Common Public License',
                             'Educational Community License',
                             'GNU General Public License (GPL)',
                             'GNU Library or Lesser General Public License (LGPL)',
                             'IBM Public License', 'Jabber Open Source License',
                             'MIT License', 'Mozilla Public License 1.0 (MPL)',
                             'Mozilla Public License 1.1 (MPL 1.1)',
                             'Open Software License', 'PHP License',
                             'Python Software Foundation License', 'Qt Public License (QPL)',
                             'Sleepycat License', 'Sun Public License', 'W3C License',
                             'wxWindows Library License', 'X.Net License',
                             'zlib/libpng License', 'Zope Public License'
                             ]
LICENSE_URL_DICT          = {'Apache license v2.0': 'http://www.opensource.org/licenses/apache2.0.php',
                             'Apache software license': 'http://www.opensource.org/licenses/apachepl.php',
                             'Artistic license': 'http://www.opensource.org/licenses/artistic-license.php',
                             'BSD License': 'http://www.opensource.org/licenses/bsd-license.php',
                             'Common Public License': 'http://www.opensource.org/licenses/cpl1.0.php',
                             'Educational Community License': 'http://www.opensource.org/licenses/ecl1.php',
                             'GNU General Public License (GPL)': 'http://www.opensource.org/licenses/gpl-license.php',
                             'GNU Library or Lesser General Public License (LGPL)':
                             'http://www.opensource.org/licenses/lgpl-license.php',
                             'IBM Public License': 'http://www.opensource.org/licenses/ibmpl.php',
                             'Jabber Open Source License': 'http://www.opensource.org/licenses/jabberpl.php',
                             'MIT License': 'http://www.opensource.org/licenses/mit-license.php',
                             'Mozilla Public License 1.0 (MPL)': 'http://www.opensource.org/licenses/mozilla1.0.php',
                             'Mozilla Public License 1.1 (MPL 1.1)': 'http://www.opensource.org/licenses/mozilla1.1.php',
                             'Open Software License': 'http://www.opensource.org/licenses/osl-3.0.php',
                             'PHP License': 'http://www.opensource.org/licenses/php.php',
                             'Python Software Foundation License':
                             'http://www.opensource.org/licenses/PythonSoftFoundation.php',
                             'Qt Public License (QPL)': 'http://www.opensource.org/licenses/qtpl.php',
                             'Sleepycat License': 'http://www.opensource.org/licenses/sleepycat.php',
                             'Sun Public License': 'http://www.opensource.org/licenses/sunpublic.php',
                             'W3C License': 'http://www.opensource.org/licenses/W3C.php',
                             'wxWindows Library License': 'http://www.opensource.org/licenses/wxwindows.php',
                             'X.Net License': 'http://www.opensource.org/licenses/xnet.php',
                             'zlib/libpng License': 'http://www.opensource.org/licenses/zlib-license.php',
                             'Zope Public License': 'http://www.opensource.org/licenses/zpl.php',
                             }
                             
                             


OPERATIVE_SYSTEM_LIST     = ['MS Windows 9X', 'MS Windows NT/2000/XP', 'MS-DOS', 'GNU Hurd',
                             'Linux', 'FreeBSD', 'NetBSD', 'OpenBSD', 'OS X', 'Solaris',
                             'OS Independent', 'OS Portable', 'SymbianOS', 'PalmOS',
                             'eCos', 'QNX', 'uClinux', 'WinCE', 'VxWorks', 'BeOS',
                             'OS/2', 'Other',
                             'Project is an operative system distribution',
                             'Project is an operative system kernel'
                             ]

PROGRAMMING_LANGUAGE_LIST = ['ActionScript',
                             'Ada', 'APL', 'AppleScript', 'ASP', 'AspectJ', 'ASP.NET',
                             'Assembly', 'AWK', 'BASIC', 'C', 'C#', 'C++', 'COBOL',
                             'Cold Fusion', 'Common Lisp', 'D', 'Delphi/Kylix',
                             'Dylan', 'Eiffel', 'Emacs-Lisp', 'Erlang', 'Euler', 'Euphoria',
                             'Forth', 'Fortran', 'Groovy', 'Haskell', 'IDL', 'Java',
                             'JavaScript', 'JSP', 'LabVIEW', 'Lisp', 'Logo', 'LPC', 'Lua',
                             'MATLAB', 'Modula', 'MUMPS', 'Oberon', 'Objective C',
                             'Object Pascal', 'OCaml', 'Pascal', 'Perl', 'PHP', 'Pike',
                             'PL/SQL', 'PROGRESS', 'Prolog', 'Python', 'REALbasic', 'REBOL',
                             'Rexx', 'Ruby', 'Scheme', 'Simula', 'Simulink', 'Smalltalk',
                             'S/R', 'Standard ML', 'Tcl', 'Unix Shell', 'VBScript',
                             'VHDL/Verilog', 'Visual Basic', 'Visual Basic .NET',
                             'Visual FoxPro', 'XBasic', 'XSL (XSLT/XPath/XSL-FO)', 'Yacc',
                             'Zope', 'Other'
                             ]

TOPIC_LIST                = ['Communications',
                             'Communications :: Chat',
                             'Communications :: Email',
                             'Communications :: Email :: Clients',
                             'Communications :: Email :: Mailing List',
                             'Communications :: Fax',
                             'Communications :: File sharing',
                             'Communications :: Internet Phone',
                             'Communications :: Streaming',
                             'Communications :: Telephony',
                             'Databases',
                             'Databases :: Database engines/servers',
                             'Databases :: Database Front-Ends',
                             'Desktop Environment',
                             'Desktop Environment :: Gnome',
                             'Desktop Environment :: KDE',
                             'Desktop Environment :: Window Managers',
                             'Education',
                             'Education :: Computer Aided Instruction (CAI)',
                             'Formats and protocols',
                             'Games/Entertainment',
                             'Games/Entertainment :: Board Games',
                             'Games/Entertainment :: Console-based games',
                             'Games/Entertainment :: First Person Shooter',
                             'Games/Entertainment :: Multi-User Dungeons',
                             'Games/Entertainment :: Puzzle',
                             'Games/Entertainment :: Real Time Strategy',
                             'Games/Entertainment :: Simulation',
                             'Internet'
                             'Internet :: FTP',
                             'Internet :: DNS',
                             'Internet :: WAP',
                             'Internet :: WWW/HTTP',
                             'Internet :: WWW/HTTP :: Browser',
                             'Internet :: WWW/HTTP :: Site management',
                             'Multimedia',
                             'Multimedia :: Graphics',
                             'Multimedia :: Graphics :: 3D Modeling',
                             'Multimedia :: Graphics :: 3D Rendering',
                             'Multimedia :: Graphics :: Scanners',
                             'Multimedia :: Graphics :: Digital Camera',
                             'Multimedia :: Graphics :: Viewers',
                             'Multimedia :: Sound/Audio',
                             'Multimedia :: Sound/Audio :: CD Playing',
                             'Multimedia :: Sound/Audio :: CD Ripping',
                             'Multimedia :: Sound/Audio :: Conversion',
                             'Multimedia :: Sound/Audio :: Editors',
                             'Multimedia :: Sound/Audio :: MIDI',
                             'Multimedia :: Sound/Audio :: Sound mixer',
                             'Multimedia :: Sound/Audio :: Player',
                             'Multimedia :: Sound/Audio :: Speech',
                             'Multimedia :: Video',
                             'Office/Business',
                             'Office/Business :: Enterprise',
                             'Office/Business :: Financial',
                             'Office/Business :: Project Management',
                             'Office/Business :: Scheduling',
                             'Other',
                             'Printing',
                             'Scientific/Engineering',
                             'Scientific/Engineering :: Artificial Intelligence',
                             'Scientific/Engineering :: Astronomy',
                             'Scientific/Engineering :: Bio-Informatics',
                             'Scientific/Engineering :: Chemistry',
                             'Scientific/Engineering :: Earth Sciences',
                             'Scientific/Engineering :: Human Machine Interfaces',
                             'Scientific/Engineering :: Mathematics',
                             'Scientific/Engineering :: Physics',
                             'Scientific/Engineering :: Medical Science Apps.',
                             'Scientific/Engineering :: Robotics',
                             'Security',
                             'Security :: Cryptography',
                             'Software Development',
                             'Software Development :: Algorithms',
                             'Software Development :: Build Tools',
                             'Software Development :: CASE',
                             'Software Development :: Code Generators',
                             'Software Development :: Compilers',
                             'Software Development :: Cross compilers',
                             'Software Development :: Debuggers',
                             'Software Development :: Design',
                             'Software Development :: Documentation',
                             'Software Development :: Frameworks',
                             'Software Development :: i18n',
                             'Software Development :: Interpreters',
                             'Software Development :: Modeling',
                             'Software Development :: Testing',
                             'Software Development :: User interfaces',
                             'Software Development :: Version control',
                             'Software Development :: Virtual Machines',
                             'System',
                             'System :: Archiving',
                             'System :: Archiving :: Backup',
                             'System :: Archiving :: Compression',
                             'System :: Archiving :: Packaging',
                             'System :: Benchmark',
                             'System :: Boot',
                             'System :: Clustering',
                             'System :: Distributed Computing',
                             'System :: Emulators',
                             'System :: File Management',
                             'System :: File Systems',
                             'System :: Hardware',
                             'System :: Installation/Setup',
                             'System :: Networking',
                             'System :: Networking :: Firewalls',
                             'System :: Networking :: Monitoring',
                             'System :: Networking :: Wireless',
                             'System :: Operating System Kernels',
                             'System :: Power',
                             'System :: Search',
                             'System :: Software Distribution',
                             'System :: Systems administration',
                             'System :: Terminals',
                             'Text Editors',
                             'Text Editors :: IDE',
                             'Text Editors :: Text Processing',
                             ]

TRANSLATION_LIST          = ['Afrikaans', 'Albanian', 'Arabic', 'Belarusian', 'Bengali',
                             'Bosnian', 'Bulgarian', 'Catalan', 'Chinese', 'Croatian',
                             'Czech', 'Danish', 'Dutch', 'English', 'Esperanto', 'Estonian',
                             'Finnish', 'Frech', 'Galician', 'German', 'Greek',
                             'Hebrew', 'Hindi', 'Hungarian', 'Icelandic', 'Indonesian',
                             'Irish Gaelic', 'Italian', 'Japanese', 'Javanese', 'Kirghiz',
                             'Korean', 'Latin', 'Latvian', 'Lithuanian', 'Macedonian',
                             'Malagasy', 'Malay', 'Maltese', 'Marathi', 'Mongolian',
                             'Norwegian', 'Panjabi', 'Persian', 'Polish', 'Portuguese',
                             'Romanian', 'Russian', 'Serbian', 'Slovak', 'Slovene', 'Spanish',
                             'Swahili', 'Swedish', 'Tamil', 'Telugu', 'Thai', 'Turkish',
                             'Ukrainian', 'Urdu', 'Vietnamese'
                             ]
