#
# ATRef_Manual.py
#
# Referencias bibliográficas basadas en BibTex
#
# Manual
#
# Alejandro Álvarez Ayllón - 01/04/2006
#

from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField
from Products.Archetypes.public import StringWidget
from Products.CMFCore import CMFCorePermissions
from Products.Archetypes.public import BaseContent, registerType
from config import PROJECTNAME
from ATReference import ATReference

# Campos
schema = ATReference.schema +  Schema((
    StringField('organization',
                searchable = 1,
		widget = StringWidget(label       = 'Organización',
                                      label_msgid = 'organization',
                                      i18n_domain = 'References',
                                      )
                ),
    StringField('edition',
		widget = StringWidget(label = 'Edición',
                                      label_msgid = 'edition',
                                      i18n_domain = 'References',
                                      )
              ),
    StringField('date',
		widget = StringWidget(label = 'Fecha',
                                      label_msgid = 'date',
                                      i18n_domain = 'References',
                                      )
	      ),

    ),
                              )

# Clase
class ATRef_Manual(ATReference):
    """Manual Reference"""

    schema = schema

    content_icon    = 'ref_book.gif'
    meta_type       = 'ATRef_Manual'
    portal_type     = 'ManualReference'
    archetype_name  = 'Manual Reference'
    typeDescription = 'Manual Reference'

    actions = ({
	'id'         : 'view',
	'name'       : 'View',
	'action'     : 'string:${object_url}/manual_view',
	'permissions': (CMFCorePermissions.View,)
	},)

# Registrar el tipo
registerType(ATRef_Manual, PROJECTNAME)
