#
# ATRef_ThechReport.py
#
# Referencias bibliográficas basadas en BibTex
#
# Informe técnico
#
# Alejandro Álvarez Ayllón 01/04/2006
#

from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField
from Products.Archetypes.public import StringWidget
from Products.CMFCore import CMFCorePermissions
from Products.Archetypes.public import BaseContent, registerType
from config import PROJECTNAME
from ATReference import ATReference

# Campos
schema = ATReference.schema +  Schema((
    StringField('institution',
                searchable = 1,
		widget = StringWidget(label       = 'Institución',
                                      label_msgid = 'institution',
                                      i18n_domain = 'References',
                                      )
                ),
    StringField('date',
		widget = StringWidget(label       = 'Fecha',
                                      label_msgid = 'date',
                                      i18n_domain = 'References',
                                      )
	      ),

    ),
                              )

# Clase
class ATRef_TechReport(ATReference):
    """Technical Report Reference"""

    schema = schema

    content_icon    = 'ref_techreport.gif'
    meta_type       = 'ATRef_TechReport'
    portal_type     = 'TechReportReference'
    archetype_name  = 'Technical Report Reference'
    typeDescription = 'Technical Report Reference'

    actions = ({
	'id'         : 'view',
	'name'       : 'View',
	'action'     : 'string:${object_url}/techreport_view',
	'permissions': (CMFCorePermissions.View,)
	},)

# Registrar el tipo
registerType(ATRef_TechReport, PROJECTNAME)
